org.apache.solr.handler.dataimport

## Class ContentStreamDataSource

- java.lang.Object
- - org.apache.solr.handler.dataimport.DataSource<Reader>
  - - org.apache.solr.handler.dataimport.ContentStreamDataSource

-     public class ContentStreamDataSource
      extends DataSource<Reader>

  A DataSource implementation which reads from the ContentStream of a POST request

  Refer to http://wiki.apache.org/solr/DataImportHandler for more details.

  This API is experimental and may change in the future.

  Since:
    solr 1.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentStreamDataSource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Cleans up resources of this DataSource after use.
    `Reader` | `getData(String query)` Get records for the given query.The return type depends on the implementation .
    `void` | `init(Context context, Properties initProps)` Initializes the DataSource with the `Context` and initialization properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentStreamDataSource

          public ContentStreamDataSource()

  - ### Method Detail

    - #### init

          public void init(Context context,
                           Properties initProps)

      Description copied from class: `DataSource`
      Initializes the DataSource with the `Context` and initialization properties.

      This is invoked by the `DataImporter` after creating an instance of this class.

      Specified by:
        `init` in class `DataSource<Reader>`

    - #### getData

          public Reader getData(String query)

      Description copied from class: `DataSource`
      Get records for the given query.The return type depends on the implementation .
      Specified by:
        `getData` in class `DataSource<Reader>`
      Parameters:
        `query` - The query string. It can be a SQL for JdbcDataSource or a URL for HttpDataSource or a file location for FileDataSource or a custom format for your own custom DataSource.
      Returns:
        Depends on the implementation. For instance JdbcDataSource returns an Iterator<Map <String,Object>>

    - #### close

          public void close()

      Description copied from class: `DataSource`
      Cleans up resources of this DataSource after use.
      Specified by:
        `close` in class `DataSource<Reader>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.